io.vertx.rxjava.ext.auth.oauth2.rbac

## Class MicroProfileRBAC

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.rbac.MicroProfileRBAC

-     public class MicroProfileRBAC
      extends Object

  Implementation of the Microprofile MP-JWT 1.1 RBAC based on the access token groups key.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MicroProfileRBAC>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MicroProfileRBAC(MicroProfileRBAC delegate)`
    `MicroProfileRBAC(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2RBAC` | `create()` Factory method to create a RBAC handler for tokens adhering to the MP-JWT 1.1 spec.
    `boolean` | `equals(Object o)`
    `MicroProfileRBAC` | `getDelegate()`
    `int` | `hashCode()`
    `static MicroProfileRBAC` | `newInstance(MicroProfileRBAC arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MicroProfileRBAC> __TYPE_ARG

  - ### Constructor Detail

    - #### MicroProfileRBAC

          public MicroProfileRBAC(MicroProfileRBAC delegate)

    - #### MicroProfileRBAC

          public MicroProfileRBAC(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MicroProfileRBAC getDelegate()

    - #### create

          public static OAuth2RBAC create()

      Factory method to create a RBAC handler for tokens adhering to the MP-JWT 1.1 spec.
      Returns:
        a RBAC validator

    - #### newInstance

          public static MicroProfileRBAC newInstance(MicroProfileRBAC arg)

Copyright © 2021 Eclipse. All rights reserved.